Accounts
Get OAuth authorization URL for a platform
GET
/accounts/{platform}/auth-urlAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
platform*string
Social platform (x, mastodon, bluesky, linkedin, threads, instagram, facebook, tiktok, youtube, pinterest)
Query Parameters
workspace_id*string
Workspace ID to link account to
server_name?string
Mastodon server name from config (required for mastodon)
instance_url?string
Mastodon instance URL to dynamically register
intent?string
Typed execution intent; certification_test requires an unscoped instance administrator
Default
"production"Value in
- "production"
- "certification_test"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/accounts/string/auth-url?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/GetAuthURLOutputBody.json", "url": "string"}